profound-logoProfound CMS
⌘K
Admin
Theme
DocsTutorialBlogPhilosophy
DocsTutorialBlogPhilosophy

Hybrid

Collection of Pages with ComponentsTypes of ComponentsSetup server sent events (SSE) content refetchInstall Profound CMS as a proxyScripts dans le générateur de modÚlesProject ScaffoldingBibliothÚque multimédia

Sans interface

Démarrage rapideSplit Screen JSON Component Builder with LLMComponent Zod Pull

API REST

REST API OverviewgetConnect your websitegetGET /routesgetGET /routegetGET /blocksgetGET /blocks/with-cel-cachegetGET /blocks/generatedgetGET /componentsgetGET /components/{name}getGET /dataset/{schema_name}getGET /content-changes (SSE)patchPATCH /dataset/{schema_name}postPOST /translationpatchPATCH /translationsgetGET /usagepostPOST /csvpatchPATCH /csv
All Systems Operational
Powered Byprofound-logo
Theme

GET /blocks

RĂ©cupĂ©rez des blocs par ID, dans l'ordre de la requĂȘte, avec les rĂ©fĂ©rences d'image rĂ©solues.

RĂ©cupĂ©rez les blocs par ID pour un site web, avec les rĂ©fĂ©rences d'image rĂ©solues en URL. Les blocs sont renvoyĂ©s dans le mĂȘme ordre que les ids demandĂ©s ; les IDs inconnus sont ignorĂ©s sans message.

Authentification : clĂ© d'API (en-tĂȘte x-api-key ou paramĂštre de requĂȘte api_key).

ParamĂštres de requĂȘte

ParamĂštreTypeObligatoireRemarques
websiteIduuidnonSite web cible ; se rabat sur l'en-tĂȘte Host / la configuration.
idsstringnonUUID de bloc sĂ©parĂ©s par des virgules. Vide ou absent → [].
api_keystringnonAlternative Ă  l'en-tĂȘte x-api-key.

Réponse

Un tableau JSON de blocs :

[
  {
    "id": "...",
    "website_id": "...",
    "schema_id": "...",
    "draft_content": {},
    "published_content": {},
    "state": "published",
    "version": 3,
    "schema_name": "hero-block",
    "layout": {},
    "cloned_from_id": null,
    "created_at": "2026-06-23T18:34:16Z",
    "updated_at": "2026-06-23T20:36:55Z"
  }
]

Exemple

curl '{CMS_API_URL}/blocks?websiteId=<uuid>&ids=<id1>,<id2>' \
  -H 'x-api-key: <key>'

Erreurs

  • 400 — UUID invalide dans ids, ou site web impossible Ă  rĂ©soudre
  • 401 — clĂ© d'API invalide
Continue Reading
Previousâ€čGET /routeNextGET /blocks/with-cel-cacheâ€ș